Page MenuHomePhabricator

Timeless: Use standard category output instead of (or as well as) unique sidebar approach
Closed, DeclinedPublic

Description

Just using the standard category output, with appropriate styles added, would solve (or make easier to solve) several bugs, including T181344, T175713, and possibly T186089 & T175716.

  • Adding appropriate styles and adjusting the output slightly can make it display as a column in the sidebar, but this can be overwhelming if there are many categories on a page.
  • The alternative would be to show the regular output at the bottom of the page, but consideration needs to be given as to whether this would be in addition to or instead of the sidebar (see also discussion in T160645)

Event Timeline

Evad37 created this task.May 5 2018, 4:23 AM
Evad37 updated the task description. (Show Details)May 5 2018, 4:25 AM

Change 430854 had a related patch set uploaded (by Evad37; owner: Evad37):
[mediawiki/skins/Timeless@master] [WIP/DNM] Better category handling

https://gerrit.wikimedia.org/r/430854

Evad37 updated the task description. (Show Details)EditedMay 5 2018, 4:46 AM

Another option would be to keep the current duplicated-categories approach, and just change the ids in one lot so they aren't duplicated.

Edit: Thinking about it, this sounds like the better option -- do a smaller change first, and the avoiding duplication stuff / using a different approach for small views can be a separate task

Evad37 updated the task description. (Show Details)May 5 2018, 7:10 AM

Change 431083 had a related patch set uploaded (by Evad37; owner: Evad37):
[mediawiki/skins/Timeless@master] Use standard category output for sidebar categories

https://gerrit.wikimedia.org/r/431083

Change 430854 abandoned by Evad37:
[WIP/DNM] Better category handling

Reason:
Decided to split changes up into separate tasks. See tasks T193921 and T193923.

https://gerrit.wikimedia.org/r/430854

Isarra added a subscriber: Isarra.May 5 2018, 2:26 PM

I'm not really sure this is the right approach.

Using the standard category output works when it's at the bottom of the page because that's what that was generally designed for (and what users populated the categories in the first place for), but for the sidebar it's just... too much, in a lot of cases. We need better category sorting to prioritise ones that are likely to be relevant/useful because showing them all is too overwhelming in that layout.

There is the slight issue that I never actually finished making the sorting/prioritisation for the sidebar (actually I'm not sure I even started?), but that's a better argument for just removing the sidebar categories entirely for the time being and leaving the standard categories at the bottom of the page as matches more expected cross-skin behaviour.

Change 431083 abandoned by Evad37:
Use standard category output for sidebar categories

Reason:
Per Isarra's comments on T193921

https://gerrit.wikimedia.org/r/431083

Evad37 renamed this task from Timeless: Use standard category output instead of unique approach to Timeless: Use standard category output instead of (or as well as) unique sidebar approach.Jun 24 2018, 2:55 AM
Evad37 removed a project: Patch-For-Review.
Evad37 updated the task description. (Show Details)
Vvjjkkii renamed this task from Timeless: Use standard category output instead of (or as well as) unique sidebar approach to mkdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: gerritbot.
CommunityTechBot renamed this task from mkdaaaaaaa to Timeless: Use standard category output instead of (or as well as) unique sidebar approach.Jul 2 2018, 4:27 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: gerritbot.
Evad37 closed this task as Declined.Aug 7 2018, 9:50 AM

Withdrawing this task as https://gerrit.wikimedia.org/r/442021 fixed most of the category bugs, and T198026: Sort and prioritise categories in the sidebar seems like a better idea.